Bug 822761 - NMBD not running
NMBD not running
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 00:50 EDT by Daniel Zirkin
Modified: 2012-10-26 12:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-26 12:14:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Zirkin 2012-05-18 00:50:56 EDT
Description of problem:

Nmbd was attempting to put a lock file in /var/locks/.nmbd this directory doesn't exist.  "ln /var/lock /var/locks -s" fixed the problem.
Comment 1 Guenther Deschner 2012-05-18 10:48:25 EDT
Can you please provide more information when that happens ?

When I try to start nmbd on my fully updated f16 box, it just succeeds and does not try to access /var/locks directory at all.

Can you try to start nmbd manually with -d10 so we see more output ?

Thanks
Comment 2 Daniel Zirkin 2012-05-18 13:34:21 EDT
[2012/05/18 00:34:50,  0] nmbd/nmbd.c:860(main)
  nmbd version 3.6.0rc2-69rc2.fc16 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2011
[2012/05/18 00:34:50,  0] lib/util_sock.c:1322(create_pipe_sock)
  error creating socket directory /var/locks/.nmbd: No such file or directory



This was generated in response to 'systemctl start smb.service'

Now that I've ln'd /var/locks to /var/lock all is well
Comment 3 Andreas Schneider 2012-05-21 04:21:13 EDT
F16 provides already Samba 3.6.5 as an update. Please to the latest version.
Comment 4 Andreas Schneider 2012-10-26 12:14:41 EDT
Reopen if it still can be reproduced with the latest version.

Note You need to log in before you can comment on or make changes to this bug.